

Fix those archs which refer to CONFIG_* in types.h but fail to include
config.h.  For x86_64 we simply remove the CONFIG_LBD reference.


---

 25-akpm/include/asm-s390/types.h   |    2 ++
 25-akpm/include/asm-sh/types.h     |    2 ++
 25-akpm/include/asm-x86_64/types.h |    5 -----
 3 files changed, 4 insertions(+), 5 deletions(-)

diff -puN include/asm-s390/types.h~types_h-needs-config_h include/asm-s390/types.h
--- 25/include/asm-s390/types.h~types_h-needs-config_h	Mon Mar 29 13:37:59 2004
+++ 25-akpm/include/asm-s390/types.h	Mon Mar 29 13:37:59 2004
@@ -50,6 +50,8 @@ typedef __signed__ long saddr_t;
  */
 #ifdef __KERNEL__
 
+#include <linux/config.h>
+
 #ifndef __s390x__
 #define BITS_PER_LONG 32
 #else
diff -puN include/asm-sh/types.h~types_h-needs-config_h include/asm-sh/types.h
--- 25/include/asm-sh/types.h~types_h-needs-config_h	Mon Mar 29 13:37:59 2004
+++ 25-akpm/include/asm-sh/types.h	Mon Mar 29 13:37:59 2004
@@ -31,6 +31,8 @@ typedef unsigned long long __u64;
  */
 #ifdef __KERNEL__
 
+#include <linux/config.h>
+
 #define BITS_PER_LONG 32
 
 #ifndef __ASSEMBLY__
diff -puN include/asm-x86_64/types.h~types_h-needs-config_h include/asm-x86_64/types.h
--- 25/include/asm-x86_64/types.h~types_h-needs-config_h	Mon Mar 29 13:37:59 2004
+++ 25-akpm/include/asm-x86_64/types.h	Mon Mar 29 13:37:59 2004
@@ -50,11 +50,6 @@ typedef unsigned long long u64;
 typedef u64 dma64_addr_t;
 typedef u64 dma_addr_t;
 
-#ifdef CONFIG_LBD
-typedef u64 sector_t;
-#define HAVE_SECTOR_T
-#endif
-
 #endif /* __ASSEMBLY__ */
 
 #endif /* __KERNEL__ */

_
